<?php
/*
 * Widget Initialized
 */

// Require Widget related Fields 
require_once trainify_framework_file_directory('widgets/fields/init.php');
/*
 * Widget Register
 */
if(!function_exists('trainify_framework_widget_initialize')):

    function trainify_framework_widget_initialize(){

        require_once trainify_framework_file_directory('widgets/function-tff-widget-dependencies.php');
        require_once trainify_framework_file_directory('widgets/class-tff-social-icons-widget.php');
        require_once trainify_framework_file_directory('widgets/class-tff-author-info-widget.php');
        
        register_widget( 'TrainifyFramework_Social_Icons_Widget' );
        register_widget( 'TrainifyFramework_Author_Info_Widget' );

    }

endif;
add_action('widgets_init', 'trainify_framework_widget_initialize');